Subject: Re: [NSIS] WG requirements draft

From: [email-masked]
Date: Wed, 27 Feb 2002 10:20:53 +0100

Hi Roland,

It was not my intention to exclude whatever approach. 

Basically i agree that NSIS QoS signaling should allow for interworking
of different QoS approaches/provisioning and the NSIS protocol could be
a kind of "signaling glue" between different approaches. 

My main concern for now is that requirements are discussed for an
"abstract" protocol without taking into account the concrete interfaces
(scenarios) where the protocol will be applied and thus to forget
concrete problems (like scalability) that are already discussed for a
long time.

Best regards,
Danny

Roland Bless wrote:
> 
> Hi Danny,
> 
> > I agree with you that much of these approaches do not scale in DiffServ
> > networks: especially you can not "trigger"/configure (by e.g. the COPS
> > protocol) the routers on a micro-flow bases from a central entity "BB".
> > This approach even scales worse than IntServ all the way. In my view,
> > the DiffServ routers should not **at all** be triggered by a
> > per-micro-flow signaling/reservation protocol (not in band alike RSVP
> > and not out-of-band from a BB-alike entity).
> 
> I disagree here, but I don't think we should discuss different
> architectural approaches now, or even exclude some approaches.
> All have their pros and cons. In my view, it should be possible
> to define nsis protocols that allow different QoS architectures
> within domains. Thus, neither for the requirements nor for the
> signaling protocol(s) it should matter whether QCs are routers
> or BBs.
> 
> I'd like to bring up two issues here:
> - One should really carefully think about the processing burden
>   for routers (even edge routers) caused by letting them act as
>   QoS controllers rather than one or more dedicated QC systems.
> - Most architectures only consider scalability/performance within
>   a single domain. We should also work on global scalability, i.e.
>   considering the multi-domain/multi-AS case.
> 
> Regards,
>  Roland
> 
> --
> Roland Bless -- e-Mail: [email-masked]
> Institute of Telematics, University of Karlsruhe, Germany
> Zirkel 2, D-76128 Karlsruhe -- Office: Bld. 20.20, 3rd floor, R 358
> Phone: +49 721 608-6413 Fax: +49 721 388097
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: Roland Bless <[email-masked]>
Date: Thu, 28 Feb 2002 14:05:40 +0100

Hi Danny,

Yes, I agree that we have to define the interfaces for which we are
developing nsis protocols. But in this context we have also to name
the entities that talk to each other via these interfaces/protocols. 
We should consider a wide range of scenarios to find a common 
denominator for these interfaces.

Regards,
 Roland